Mesa (master): wayland-egl: fail symbol check if lib is missing

Eric Engeström eric_engestrom at kemper.freedesktop.org
Tue Oct 31 18:09:33 UTC 2017


Module: Mesa
Branch: master
Commit: 4e43ba5687b840f9c2a42375f6a434d7829fd762
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=4e43ba5687b840f9c2a42375f6a434d7829fd762

Author: Eric Engestrom <eric.engestrom at imgtec.com>
Date:   Mon Oct 30 15:27:49 2017 +0000

wayland-egl: fail symbol check if lib is missing

Signed-off-by: Eric Engestrom <eric.engestrom at imgtec.com>
Reviewed-by: Dylan Baker <dylan at pnwbakers.com>
Reviewed-by: Emil Velikov <emil.velikov at collabora.com>

---

 src/egl/wayland/wayland-egl/wayland-egl-symbols-check | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/src/egl/wayland/wayland-egl/wayland-egl-symbols-check b/src/egl/wayland/wayland-egl/wayland-egl-symbols-check
index e7105ea579..04b2dbf1d3 100755
--- a/src/egl/wayland/wayland-egl/wayland-egl-symbols-check
+++ b/src/egl/wayland/wayland-egl/wayland-egl-symbols-check
@@ -1,6 +1,14 @@
 #!/bin/sh
+set -eu
 
-FUNCS=$(nm -D --defined-only ${1-.libs/libwayland-egl.so} | grep -o "T .*" | cut -c 3- | while read func; do
+LIB=${1-.libs/libwayland-egl.so}
+
+if ! [ -f "$LIB" ]
+then
+  exit 1
+fi
+
+FUNCS=$(nm -D --defined-only $LIB | grep -o "T .*" | cut -c 3- | while read func; do
 ( grep -q "^$func$" || echo $func )  <<EOF
 wl_egl_window_resize
 wl_egl_window_create




More information about the mesa-commit mailing list